petsc-3.7.7 2017-09-25
Report Typos and Errors

# MatIsSymmetricKnown

Checks the flag on the matrix to see if it is symmetric.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatIsSymmetricKnown(Mat A,PetscBool  *set,PetscBool  *flg)

Not Collective

### Input Parameter

A -the matrix to check

### Output Parameters

| set | - if the symmetric flag is set (this tells you if the next flag is valid)
| flg | - the result

Note: Does not check the matrix values directly, so this may return unknown (set = PETSC_FALSE). Use MatIsSymmetric() if you want it explicitly checked

### See Also

MatTranspose(), MatIsTranspose(), MatIsHermitian(), MatIsStructurallySymmetric(), MatSetOption(), MatIsSymmetric()

Level:advanced
Location:src/mat/interface/matrix.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages